io.vertx.rxjava.core.http

## Class HttpFrame

- java.lang.Object
- - io.vertx.rxjava.core.http.HttpFrame

-     public class HttpFrame
      extends Object

  An HTTP/2 frame.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<HttpFrame>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpFrame(HttpFrame delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `flags()`
    `HttpFrame` | `getDelegate()`
    `int` | `hashCode()`
    `static HttpFrame` | `newInstance(HttpFrame arg)`
    `Buffer` | `payload()`
    `String` | `toString()`
    `int` | `type()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<HttpFrame> __TYPE_ARG

  - ### Constructor Detail

    - #### HttpFrame

          public HttpFrame(HttpFrame delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HttpFrame getDelegate()

    - #### type

          public int type()

      Returns:
        the 8-bit type of the frame

    - #### flags

          public int flags()

      Returns:
        the 8-bit flags specific to the frame

    - #### payload

          public Buffer payload()

      Returns:
        the frame payload

    - #### newInstance

          public static HttpFrame newInstance(HttpFrame arg)

Copyright © 2017. All rights reserved.